package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Podnik;
import cz.frantovo.nekurak.dto.VysledekHlasovani;

/**
 * Záhlaví podniku
 * @author fiki
 */
public class Zahlavi {

	private HledacSluzby hledac = new HledacSluzby();
	private Podnik podnik;
	private VysledekHlasovani vysledek;

	public void setPodnik(Podnik podnik) {
		this.podnik = podnik;
		vysledek = null;
	}

	public VysledekHlasovani getVysledek() {
		if (vysledek == null) {
			vysledek = hledac.getPodnikEJB().getVysledekHlasovani(podnik);
		}
		return vysledek;
	}
}
